---
external help file: SitecoreFundamentals-help.xml
Module Name: SitecoreFundamentals
online version: 
schema: 2.0.0
---

# Test-WebFeatureHSTS

## SYNOPSIS
Tests whether the HSTS web feature is enabled.

## SYNTAX

```
Test-WebFeatureHSTS [-HostName] <String> [<CommonParameters>]
```

## DESCRIPTION
This cmdlet tests whether the HSTS web feature is enabled for a website.

## EXAMPLES

### -------------------------- EXAMPLE 1 --------------------------
```
PS C:\> Test-WebFeatureHSTS -HostName 'sc.infosec'
```

Reports on whether HSTS has been enabled for 'sc.infosec' website.

## PARAMETERS

### -HostName
Hostname of website to configure.

```yaml
Type: String
Parameter Sets: (All)
Aliases: 

Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see about_CommonParameters (http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### True when HSTS feature found, False when feature not found.

## NOTES

## RELATED LINKS

[Add-WebFeatureHSTS](Add-WebFeatureHSTS.md)

[Remove-WebFeatureHSTS](Remove-WebFeatureHSTS.md)

