---
external help file: SitecoreFundamentals-help.xml
Module Name: SitecoreFundamentals
online version: 
schema: 2.0.0
---

# Test-WebFeatureHTTPSOnly

## SYNOPSIS
Tests whether the HTTPSOnly web feature is enabled.

## SYNTAX

```
Test-WebFeatureHTTPSOnly [-HostName] <String> [<CommonParameters>]
```

## DESCRIPTION
This cmdlet tests whether the HTTPSOnly web feature is enabled for the website specified by the HostName parameter.

## EXAMPLES

### -------------------------- EXAMPLE 1 --------------------------
```
PS C:\> Test-WebFeatureHTTPSOnly -HostName 'sc.infosec'
```

Reports on whether HTTPSOnly has been enabled for the 'sc.infosec' website.

## PARAMETERS

### -HostName
Hostname of website to configure.

```yaml
Type: String
Parameter Sets: (All)
Aliases: 

Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see about_CommonParameters (http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### True when HTTPSOnly feature found, False when feature not found.

## NOTES

## RELATED LINKS

[Add-WebFeatureHTTPSOnly](Add-WebFeatureHTTPSOnly.md)

[Remove-WebFeatureHTTPSOnly](Remove-WebFeatureHTTPSOnly.md)

